﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Data;
using System.Web.UI.WebControls;
using System.IO;
public partial class ViewDetails : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
        DataTable dt =  CreateTable();
        GridView1.DataSource = dt;
        GridView1.DataBind();
    }
    DataTable CreateTable()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("FileName", typeof(string));
        dt.Columns.Add("FilePath", typeof(string));
        dt.Columns.Add("CreatedOn", typeof(string));
        string serverpath = Server.MapPath("~/") + "json";
        string[] files = Directory.GetFiles(serverpath);
        FileInfo fi = null;
        foreach (String file in files)
        {
            DataRow row = dt.NewRow();
            fi = new FileInfo(file);
            row["FileName"] = fi.Name.Replace(".json","");
            row["FilePath"] = fi.FullName;
            row["CreatedOn"] = fi.CreationTime;
            dt.Rows.Add(row);

        }

        dt.DefaultView.Sort = "CreatedOn desc";
        return dt;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string serverpath = Server.MapPath("~/") + "xml";
        string[] files = Directory.GetFiles(serverpath);
        FileInfo fi = null;


        try
        {
            foreach (String file in files)
            {
                fi = new FileInfo(file);
                fi.Delete();
            }
        }
        catch { }
        DataTable dt = CreateTable();
        GridView1.DataSource = dt;
        GridView1.DataBind();
    }
    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
         int index = Convert.ToInt32(e.CommandArgument);
        if(e.CommandName == "Delete")
        {
            String filePath = GridView1.Rows[index].Cells[2].Text;
            File.Delete(filePath);
        }
        DataTable dt = CreateTable();
        GridView1.DataSource = dt;
        GridView1.DataBind();
    }
   
    protected void GridView1_RowDeleting1(object sender, GridViewDeleteEventArgs e)
    {

    }
}