using System;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using RChilli;



public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.Response.ContentType = "text/xml";
        // Read XML posted via HTTP
        StreamReader reader = new StreamReader(Page.Request.InputStream);
        String jsonOutput = reader.ReadToEnd();
        if (jsonOutput != "")
        {
            try
            {
                RChilliParser rchilliParser = new RChilliParser();
                RChilliObject rchilliObj = rchilliParser.ProcessJsonOutput(jsonOutput);

                string serverpath = Server.MapPath("~/") + "json";
                if (!Directory.Exists(serverpath))
                    Directory.CreateDirectory(serverpath);

                serverpath = serverpath + "\\" + rchilliObj.RChillIBulkUpload.FileName + ".json";
                if (File.Exists(serverpath))
                {
                    String id = DateTime.Now.ToString("ddMMyyyyHHmmssfff");
                    serverpath = Server.MapPath("~/") + "json";
                    serverpath = serverpath + "\\" + id + "_" + rchilliObj.RChillIBulkUpload.FileName + ".json";
                }
                File.WriteAllText(serverpath, jsonOutput);
            }
            catch
            {
            }
        }


    }

}
